<?php
/**************************************************************************************
* SignatureImageRotator.php															  *
***************************************************************************************
* Signature Image Rotator															  *
* Version 1.9																		  *
* By: SoLoGHoST																		  *
* Co-Creator: Shortie																  *
* http://www.graphicsmayhem.com														  *
* Copyright 2009-10 Solomon Closson													  *
* =================================================================================== *
* License Information:																  *
*																					  *
* ABOVE INFO MUST REMAIN INTACT!!													  *
**************************************************************************************/

if (!defined('SMF'))
	die('Hacking attempt...');

function SignatureImageRotator()
{
	global $currentVersion;

	$currentVersion = '1.7';

	$subActions = array(
		'main' => 'SigImageRotator',
	);

	if (isset($_GET['sa']))
		$sa = $_GET['sa'];
	else
		$sa = 'SigImageRotator';

	if (!empty($subActions[$sa]))
		$subActions[$sa]();
	else
		SigImageRotator();
}

function SigImageRotator()
{
global $context, $smcFunc, $boarddir, $scripturl;

if (isset($_REQUEST['sigrotator']))
	$sigrot = (string) $_REQUEST['sigrotator'];
else {
	justDie();
	exit;
}
if ($sigrot != 'mysig') {
	justDie();
	exit;
}
if (isset($_REQUEST['sig']))
	$url_sig = (string) $_REQUEST['sig'];
else {
	justDie();
	exit;
}
if (isset($_REQUEST['name']))
	$name_sig = (string) $_REQUEST['name'];
else {
	justDie();
	exit;
}

// Let's now get the user_id based on the $url_sig value...
$dbresult = $smcFunc['db_query']('', '
	SELECT
		id_member, sig, name
	FROM {db_prefix}rotator_urls
	WHERE sig = {string:sigUrl}
	LIMIT 1', array('sigUrl' => $url_sig));	

	if ($smcFunc['db_num_rows']($dbresult) === 0) {
		justDie();
		exit;
	}
	list ($real_id, $real_sig, $real_name) = $smcFunc['db_fetch_row']($dbresult);

	$smcFunc['db_free_result']($dbresult);

	// Match the values, if not matched, die & exit...
	if ($real_sig != $url_sig || $real_name != $name_sig) {
		justDie();
		exit;	
	}

    $request = $smcFunc['db_query']('', '
    SELECT 
	sig_imgs_folder
    FROM {db_prefix}members
     WHERE id_member = {int:memberId}
	 LIMIT 1', array('memberId' => $real_id));
	if ($smcFunc['db_num_rows']($request) === 0) {
		justDie();
		exit;	
	}	
	$row1 = $smcFunc['db_fetch_assoc']($request);
	$folder = $row1['sig_imgs_folder'];
	
	$path = $boarddir . '/sigs/' . $folder . '/';
	$smcFunc['db_free_result']($request);

	$extList = array();
	$extList['jpg'] = 'image/jpeg';
	$extList['jpeg'] = 'image/jpeg';
	$extList['png'] = 'image/png';
	$extList['gif'] = 'image/gif';

	$img = null;
	$fileList = array();
	$handle = opendir($path);
	while (false !== ($file = readdir($handle))) {
	 $file_info = pathinfo($file);
	 if (isset($extList[ strtolower($file_info['extension'])])) {
	  $fileList[] = $file;
	 }
	}
	closedir($handle);
	if (count($fileList) > 0) {
	 $imageNumber = time() % count($fileList);
	 $img = $path.$fileList[$imageNumber];
	}

	if ($img!=null) {
		$imageInfo = pathinfo($img);
		header('Content-Type: '.$extList[$imageInfo['extension']]);
		header('Content-Disposition: inline; filename='.$real_name);
		
		if (filesize($img) > 1572864 || @readfile($img) == null)
		{
			if ($file = fopen($img, 'rb'))
			{
				while (!feof($file))
				{
					echo @fread($file, 8192);
					flush();
				}
				@fclose($file);
			}
			else
				die('Something went wrong...');
		}
	} else {
		justDie();
		exit;
	}
obExit(false);
}

function justDie()
{
global $context;

header('HTTP/1.0 404 Not Found');
header('Content-Type: text/plain; charset=' . (empty($context['character_set']) ? 'ISO-8859-1' : $context['character_set']));
die('404 - File Not Found!');
}

?>