<?php
/**************************************************************************************
* sigrotatorInstall.php																  *
***************************************************************************************
* Signature Image Rotator															  *
* Version 1.9																		  *
* By: SoLoGHoST																		  *
* Co-Creator: Shortie																  *
* http://www.graphicsmayhem.com														  *
* Copyright 2009-10 Solomon Closson													  *
* =================================================================================== *
* License Information:																  *
*																					  *
* ABOVE INFO MUST REMAIN INTACT!!													  *
**************************************************************************************/

// If SSI.php is in the same place as this file, and SMF isn't defined...
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
  require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
  die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

if((SMF == 'SSI') && !$user_info['is_admin']) 
    die('Admin priveleges required.'); 

global $modSettings;

// Extract SMF version from Subs.php
$data = substr(file_get_contents($boarddir . '/Sources/Subs.php'), 0, 4096);

if (preg_match('~\*\s*Software\s+Version:\s+(SMF\s+.+?)[\s]{2}~i', $data, $match) == 0)
	$match = array('', 'SMF');

$forum_version = $match[1];

// set the default table prefix
$table_prefix = '';

// check for SMF 2.0 RC2 or RC3
if (stristr($forum_version, 'SMF 2.0 RC2') || stristr($modSettings['smfVersion'], 'RC2') || stristr($forum_version, 'SMF 2.0 RC3') || stristr($modSettings['smfVersion'], 'RC3') || stristr($forum_version, 'SMF 2.0 RC4') || stristr($modSettings['smfVersion'], 'RC4') || stristr($forum_version, 'SMF 2.0 RC5') || stristr($modSettings['smfVersion'], 'RC5'))
	$table_prefix = '{db_prefix}';

db_extend('packages'); 

// Load the column array -> Just 1 for now...
$columns = array();
$columns[] = array(
    'table' => $table_prefix . 'members',
    'info' => array(
        'name' => 'sig_imgs_folder',
        'type' => 'tinytext',
        'default' => '',
    ),
);

// Let's build the columns for the rotator_imgs table
$rotator_imgs_columns[] = array(
	'name' => 'id_img',
	'type' => 'int',
	'size' => 11,
	'null' => false,
	'auto' => true,
	);
$rotator_imgs_columns[] = array(
	'name' => 'id_member',
	'type' => 'mediumint',
	'size' => 8,
	'null' => false,
	'default' => 0,
	'unsigned' => true,
);
$rotator_imgs_columns[] = array(
	'name' => 'date',
	'type' => 'int',
	'size' => 10,
	'null' => false,
	'default' => 0,
	'unsigned' => true,
);
$rotator_imgs_columns[] = array(
	'name' => 'orginalfilename',
	'type' => 'tinytext',
	'null' => false,
);
$rotator_imgs_columns[] = array(
	'name' => 'filename',
	'type' => 'tinytext',
	'null' => false,
);

$rotator_imgs_columns[] = array(
	'name' => 'mime_type',
	'type' => 'varchar',
	'size' => 20,
	'null' => false,
	'default' => '',
);

$rotator_imgs_columns[] = array(
	'name' => 'fileext',
	'type' => 'varchar',
	'size' => 8,
	'null' => false,
	'default' => '',
);

// Indexes
$rotator_imgs_indexes[] = array(
	'type' => 'primary',
	'columns' => array('id_img')
);


// Let's build the columns for the rotator_urls table
$rotator_urls_columns[] = array(
	'name' => 'id_url',
	'type' => 'int',
	'size' => 11,
	'null' => false,
	'auto' => true,
	);
$rotator_urls_columns[] = array(
	'name' => 'id_member',
	'type' => 'mediumint',
	'size' => 8,
	'null' => false,
	'default' => 0,
	'unsigned' => true,
);

$rotator_urls_columns[] = array(
	'name' => 'sig',
	'type' => 'tinytext',
	'null' => false,
);

$rotator_urls_columns[] = array(
	'name' => 'name',
	'type' => 'tinytext',
	'null' => false,
);

// Indexes
$rotator_urls_indexes[] = array(
	'type' => 'primary',
	'columns' => array('id_url')
);

// Create the tables...
$smcFunc['db_create_table']($table_prefix . 'rotator_imgs', $rotator_imgs_columns, $rotator_imgs_indexes, array(), 'ignore');
$smcFunc['db_create_table']($table_prefix . 'rotator_urls', $rotator_urls_columns, $rotator_urls_indexes, array(), 'ignore');
	
// Insert the column into the members table
if (!empty($columns))
	foreach ($columns as $column)
		$smcFunc['db_add_column']($column['table'], $column['info']);

?>
