<?php
/**************************************************************************************
* sigrotatorUninstall.php															  *
***************************************************************************************
* Signature Image Rotator															  *
* Version 1.9																		  *
* By: SoLoGHoST																		  *
* Co-Creator: Shortie																  *
* http://www.graphicsmayhem.com														  *
* Copyright 2009-10 Solomon Closson													  *
* =================================================================================== *
* License Information:																  *
*																					  *
* ABOVE INFO MUST REMAIN INTACT!!													  *
**************************************************************************************/

if (file_exists(dirname(__FILE__) . '/SSI.php'))
  require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
  die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Only Admin can uninstall...
if((SMF == 'SSI') && !$user_info['is_admin']) 
    die('Admin priveleges required.');

global $modSettings;

// Reading through Subs.php comments extracting Software Version from this
$data = substr(file_get_contents($sourcedir . '/Subs.php'), 0, 4096);
if (preg_match('~\*\s*Software\s+Version:\s+(SMF\s+.+?)[\s]{2}~i', $data, $match) == 0)
	$match = array('', 'SMF');
$forum_version = $match[1];

// set some defaults here.
$table_prefix = '';

if (stristr($forum_version, 'SMF 2.0 RC2') || stristr($modSettings['smfVersion'], 'RC2') || stristr($forum_version, 'SMF 2.0 RC3') || stristr($modSettings['smfVersion'], 'RC3') || stristr($forum_version, 'SMF 2.0 RC4') || stristr($modSettings['smfVersion'], 'RC4') || stristr($forum_version, 'SMF 2.0 RC5') || stristr($modSettings['smfVersion'], 'RC5'))
	$table_prefix = '{db_prefix}';

// UNINSTALLING Signature Image Rotator MOD....
db_extend('packages');
$smcFunc['db_drop_table'] ($table_prefix . 'rotator_imgs');
$smcFunc['db_drop_table'] ($table_prefix . 'rotator_urls');
$smcFunc['db_remove_column'] ($table_prefix . 'members', 'sig_imgs_folder');

?>